/**Begin D:\PDM_UPGRADE\PDM1\HRPTMC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HRPTMC_ANOBJCONFIGHIS' AND KSQL_COL_NAME ='FNAME') 
 ALTER TABLE T_HRPTMC_ANOBJCONFIGHIS ADD (FNAME NVARCHAR(150) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HRPTMC_ANOBJCONFIGHIS' AND KSQL_COL_NAME ='FNUMBER') 
 ALTER TABLE T_HRPTMC_ANOBJCONFIGHIS ADD (FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HRPTMC_REPORTCONFIGHIS' AND KSQL_COL_NAME ='FANOBJID') 
 ALTER TABLE T_HRPTMC_REPORTCONFIGHIS ADD (FANOBJID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HRPTMC_REPORTCONFIGHIS' AND KSQL_COL_NAME ='FNAME') 
 ALTER TABLE T_HRPTMC_REPORTCONFIGHIS ADD (FNAME NVARCHAR(150) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HRPTMC_REPORTCONFIGHIS' AND KSQL_COL_NAME ='FNUMBER') 
 ALTER TABLE T_HRPTMC_REPORTCONFIGHIS ADD (FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPTMC_ANOBJCONFIGHIS_L') 
 CREATE TABLE T_HRPTMC_ANOBJCONFIGHIS_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(150) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPTMC_REPORTCONFIGHIS_L') 
 CREATE TABLE T_HRPTMC_REPORTCONFIGHIS_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(150) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\HRPTMC_table.sql **/
